
module "autoscaling" {
  source = "terraform-aws-modules/autoscaling/aws"
  version = "7.6.0"
  autoscaling_group_tags = var.autoscaling_group_tags
  availability_zones = var.availability_zones
  block_device_mappings = var.block_device_mappings
  capacity_rebalance = var.capacity_rebalance
  capacity_reservation_specification = var.capacity_reservation_specification
  cpu_options = var.cpu_options
  create = var.create
  create_iam_instance_profile = var.create_iam_instance_profile
  create_launch_template = var.create_launch_template
  create_scaling_policy = var.create_scaling_policy
  create_schedule = var.create_schedule
  create_traffic_source_attachment = var.create_traffic_source_attachment
  credit_specification = var.credit_specification
  default_cooldown = var.default_cooldown
  default_instance_warmup = var.default_instance_warmup
  default_version = var.default_version
  delete_timeout = var.delete_timeout
  desired_capacity = var.desired_capacity
  desired_capacity_type = var.desired_capacity_type
  disable_api_stop = var.disable_api_stop
  disable_api_termination = var.disable_api_termination
  ebs_optimized = var.ebs_optimized
  elastic_gpu_specifications = var.elastic_gpu_specifications
  elastic_inference_accelerator = var.elastic_inference_accelerator
  enable_monitoring = var.enable_monitoring
  enabled_metrics = var.enabled_metrics
  enclave_options = var.enclave_options
  force_delete = var.force_delete
  health_check_grace_period = var.health_check_grace_period
  health_check_type = var.health_check_type
  hibernation_options = var.hibernation_options
  iam_instance_profile_arn = var.iam_instance_profile_arn
  iam_instance_profile_name = var.iam_instance_profile_name
  iam_role_description = var.iam_role_description
  iam_role_name = var.iam_role_name
  iam_role_path = var.iam_role_path
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_policies = var.iam_role_policies
  iam_role_tags = var.iam_role_tags
  iam_role_use_name_prefix = var.iam_role_use_name_prefix
  ignore_desired_capacity_changes = var.ignore_desired_capacity_changes
  ignore_failed_scaling_activities = var.ignore_failed_scaling_activities
  image_id = var.image_id
  initial_lifecycle_hooks = var.initial_lifecycle_hooks
  instance_initiated_shutdown_behavior = var.instance_initiated_shutdown_behavior
  instance_maintenance_policy = var.instance_maintenance_policy
  instance_market_options = var.instance_market_options
  instance_name = var.instance_name
  instance_refresh = var.instance_refresh
  instance_requirements = var.instance_requirements
  instance_type = var.instance_type
  kernel_id = var.kernel_id
  key_name = var.key_name
  launch_template_description = var.launch_template_description
  launch_template_id = var.launch_template_id
  launch_template_name = var.launch_template_name
  launch_template_use_name_prefix = var.launch_template_use_name_prefix
  launch_template_version = var.launch_template_version
  license_specifications = var.license_specifications
  load_balancers = var.load_balancers
  maintenance_options = var.maintenance_options
  max_instance_lifetime = var.max_instance_lifetime
  max_size = var.max_size
  metadata_options = var.metadata_options
  metrics_granularity = var.metrics_granularity
  min_elb_capacity = var.min_elb_capacity
  min_size = var.min_size
  mixed_instances_policy = var.mixed_instances_policy
  name = var.name
  network_interfaces = var.network_interfaces
  placement = var.placement
  placement_group = var.placement_group
  private_dns_name_options = var.private_dns_name_options
  protect_from_scale_in = var.protect_from_scale_in
  putin_khuylo = var.putin_khuylo
  ram_disk_id = var.ram_disk_id
  scaling_policies = var.scaling_policies
  schedules = var.schedules
  security_groups = var.security_groups
  service_linked_role_arn = var.service_linked_role_arn
  suspended_processes = var.suspended_processes
  tag_specifications = var.tag_specifications
  tags = var.tags
  target_group_arns = var.target_group_arns
  termination_policies = var.termination_policies
  traffic_source_identifier = var.traffic_source_identifier
  traffic_source_type = var.traffic_source_type
  update_default_version = var.update_default_version
  use_mixed_instances_policy = var.use_mixed_instances_policy
  use_name_prefix = var.use_name_prefix
  user_data = var.user_data
  vpc_zone_identifier = var.vpc_zone_identifier
  wait_for_capacity_timeout = var.wait_for_capacity_timeout
  wait_for_elb_capacity = var.wait_for_elb_capacity
  warm_pool = var.warm_pool
}
